const require_AckDecorator = require('./decorators/ack/AckDecorator.js');
const require_DidCommAttachment = require('./decorators/attachment/DidCommAttachment.js');
const require_ServiceDecorator = require('./decorators/service/ServiceDecorator.js');
const require_TransportDecorator = require('./decorators/transport/TransportDecorator.js');
const require_messageType = require('./util/messageType.js');
const require_DidCommMessage = require('./DidCommMessage.js');
const require_DidCommProblemReportMessage = require('./messages/problem-reports/DidCommProblemReportMessage.js');
const require_DidCommProblemReportError = require('./errors/problem-reports/DidCommProblemReportError.js');
const require_MessageSendingError = require('./errors/MessageSendingError.js');
require('./errors/index.js');
const require_DidCommMessageHandlerMiddleware = require('./handlers/DidCommMessageHandlerMiddleware.js');
const require_DidCommAckMessage = require('./messages/common/DidCommAckMessage.js');
require('./messages/index.js');
const require_DidCommFeature = require('./models/features/DidCommFeature.js');
const require_DidCommFeatureQuery = require('./models/features/DidCommFeatureQuery.js');
const require_DidCommGoalCode = require('./models/features/DidCommGoalCode.js');
const require_DidCommGovernanceFramework = require('./models/features/DidCommGovernanceFramework.js');
const require_DidCommProtocol = require('./models/features/DidCommProtocol.js');
const require_DidCommProblemReportReason = require('./models/problem-reports/DidCommProblemReportReason.js');
const require_DidCommInboundMessageContext = require('./models/DidCommInboundMessageContext.js');
const require_DidCommOutboundMessageContext = require('./models/DidCommOutboundMessageContext.js');
const require_DidCommOutboundMessageSendStatus = require('./models/DidCommOutboundMessageSendStatus.js');
require('./models/index.js');
const require_DidCommBasicMessage = require('./modules/basic-messages/messages/DidCommBasicMessage.js');
const require_PublicKey = require('./modules/connections/models/did/publicKey/PublicKey.js');
const require_Ed25119Sig2018 = require('./modules/connections/models/did/publicKey/Ed25119Sig2018.js');
const require_EddsaSaSigSecp256k1 = require('./modules/connections/models/did/publicKey/EddsaSaSigSecp256k1.js');
const require_RsaSig2018 = require('./modules/connections/models/did/publicKey/RsaSig2018.js');
const require_index$3 = require('./modules/connections/models/did/publicKey/index.js');
const require_Authentication = require('./modules/connections/models/did/authentication/Authentication.js');
const require_EmbeddedAuthentication = require('./modules/connections/models/did/authentication/EmbeddedAuthentication.js');
const require_ReferencedAuthentication = require('./modules/connections/models/did/authentication/ReferencedAuthentication.js');
const require_index$4 = require('./modules/connections/models/did/authentication/index.js');
const require_DidDoc = require('./modules/connections/models/did/DidDoc.js');
const require_DidCommConnection = require('./modules/connections/models/DidCommConnection.js');
const require_DidCommDidExchangeState = require('./modules/connections/models/DidCommDidExchangeState.js');
const require_DidCommConnectionState = require('./modules/connections/models/DidCommConnectionState.js');
const require_DidCommDidExchangeRole = require('./modules/connections/models/DidCommDidExchangeRole.js');
const require_DidCommHandshakeProtocol = require('./modules/connections/models/DidCommHandshakeProtocol.js');
const require_DidCommConnectionType = require('./modules/connections/models/DidCommConnectionType.js');
const require_DidCommConnectionInvitationMessage = require('./modules/connections/messages/DidCommConnectionInvitationMessage.js');
const require_DidCommConnectionRequestMessage = require('./modules/connections/messages/DidCommConnectionRequestMessage.js');
const require_DidCommConnectionResponseMessage = require('./modules/connections/messages/DidCommConnectionResponseMessage.js');
const require_DidCommTrustPingMessage = require('./modules/connections/messages/DidCommTrustPingMessage.js');
const require_DidCommTrustPingResponseMessage = require('./modules/connections/messages/DidCommTrustPingResponseMessage.js');
const require_DidCommConnectionProblemReportMessage = require('./modules/connections/messages/DidCommConnectionProblemReportMessage.js');
const require_DidCommDidExchangeRequestMessage = require('./modules/connections/messages/DidCommDidExchangeRequestMessage.js');
const require_DidCommDidExchangeResponseMessage = require('./modules/connections/messages/DidCommDidExchangeResponseMessage.js');
const require_DidCommDidExchangeCompleteMessage = require('./modules/connections/messages/DidCommDidExchangeCompleteMessage.js');
const require_DidCommDidExchangeProblemReportMessage = require('./modules/connections/messages/DidCommDidExchangeProblemReportMessage.js');
const require_DidCommDidRotateProblemReportMessage = require('./modules/connections/messages/DidCommDidRotateProblemReportMessage.js');
const require_DidCommDidRotateMessage = require('./modules/connections/messages/DidCommDidRotateMessage.js');
const require_DidCommDidRotateAckMessage = require('./modules/connections/messages/DidCommDidRotateAckMessage.js');
const require_DidCommHangupMessage = require('./modules/connections/messages/DidCommHangupMessage.js');
const require_ConnectionProblemReportError = require('./modules/connections/errors/ConnectionProblemReportError.js');
const require_ConnectionProblemReportReason = require('./modules/connections/errors/ConnectionProblemReportReason.js');
const require_DidExchangeProblemReportError = require('./modules/connections/errors/DidExchangeProblemReportError.js');
const require_DidExchangeProblemReportReason = require('./modules/connections/errors/DidExchangeProblemReportReason.js');
const require_InMemoryQueueTransportRepository = require('./transport/queue/InMemoryQueueTransportRepository.js');
const require_DidCommEvents = require('./DidCommEvents.js');
const require_types = require('./types.js');
const require_DidCommModuleConfig = require('./DidCommModuleConfig.js');
const require_JWE = require('./util/JWE.js');
const require_DidCommTransportEventTypes = require('./transport/DidCommTransportEventTypes.js');
require('./transport/index.js');
const require_DidCommTransportService = require('./DidCommTransportService.js');
const require_DidCommOutOfBandState = require('./modules/oob/domain/DidCommOutOfBandState.js');
const require_DidCommConnectionRecord = require('./modules/connections/repository/DidCommConnectionRecord.js');
const require_DidCommConnectionRepository = require('./modules/connections/repository/DidCommConnectionRepository.js');
const require_DidCommDocumentService = require('./services/DidCommDocumentService.js');
require('./services/index.js');
const require_OutOfBandDidCommService = require('./modules/oob/domain/OutOfBandDidCommService.js');
const require_DidCommOutOfBandEvents = require('./modules/oob/domain/DidCommOutOfBandEvents.js');
const require_DidCommOutOfBandRole = require('./modules/oob/domain/DidCommOutOfBandRole.js');
const require_DidCommOutOfBandInvitation = require('./modules/oob/messages/DidCommOutOfBandInvitation.js');
const require_DidCommHandshakeReuseAcceptedMessage = require('./modules/oob/messages/DidCommHandshakeReuseAcceptedMessage.js');
const require_DidCommHandshakeReuseMessage = require('./modules/oob/messages/DidCommHandshakeReuseMessage.js');
const require_DidCommOutOfBandRecord = require('./modules/oob/repository/DidCommOutOfBandRecord.js');
const require_DidCommOutOfBandRepository = require('./modules/oob/repository/DidCommOutOfBandRepository.js');
const require_DidCommOutOfBandService = require('./modules/oob/DidCommOutOfBandService.js');
const require_DidCommConnectionEvents = require('./modules/connections/DidCommConnectionEvents.js');
const require_DidCommConnectionService = require('./modules/connections/services/DidCommConnectionService.js');
const require_DidCommForwardMessage = require('./modules/routing/messages/DidCommForwardMessage.js');
const require_DidCommMediatorRoutingRecord = require('./modules/routing/repository/DidCommMediatorRoutingRecord.js');
const require_DidCommMediatorRoutingRepository = require('./modules/routing/repository/DidCommMediatorRoutingRepository.js');
const require_DidCommEnvelopeService = require('./DidCommEnvelopeService.js');
const require_DidCommMessageSender = require('./DidCommMessageSender.js');
const require_DidCommRoutingEvents = require('./modules/routing/DidCommRoutingEvents.js');
const require_DidCommKeylistUpdateMessage = require('./modules/routing/messages/DidCommKeylistUpdateMessage.js');
const require_DidCommKeylistUpdateResponseMessage = require('./modules/routing/messages/DidCommKeylistUpdateResponseMessage.js');
const require_DidCommMediationGrantMessage = require('./modules/routing/messages/DidCommMediationGrantMessage.js');
const require_DidCommMediationDenyMessage = require('./modules/routing/messages/DidCommMediationDenyMessage.js');
const require_DidCommMediationRequestMessage = require('./modules/routing/messages/DidCommMediationRequestMessage.js');
const require_DidCommMediationRole = require('./modules/routing/models/DidCommMediationRole.js');
const require_DidCommMediationState = require('./modules/routing/models/DidCommMediationState.js');
const require_DidCommMediatorPickupStrategy = require('./modules/routing/DidCommMediatorPickupStrategy.js');
const require_DidCommMediationRecord = require('./modules/routing/repository/DidCommMediationRecord.js');
const require_DidCommMediationRepository = require('./modules/routing/repository/DidCommMediationRepository.js');
const require_DidCommMediationRecipientService = require('./modules/routing/services/DidCommMediationRecipientService.js');
const require_DidCommConnectionsModuleConfig = require('./modules/connections/DidCommConnectionsModuleConfig.js');
const require_DidCommDidRotateService = require('./modules/connections/services/DidCommDidRotateService.js');
const require_DidCommTrustPingEvents = require('./modules/connections/DidCommTrustPingEvents.js');
const require_DidCommTrustPingService = require('./modules/connections/services/DidCommTrustPingService.js');
const require_DidCommRoutingService = require('./modules/routing/services/DidCommRoutingService.js');
const require_DidExchangeProtocol = require('./modules/connections/DidExchangeProtocol.js');
const require_DidCommConnectionsApi = require('./modules/connections/DidCommConnectionsApi.js');
const require_DidCommFeatureRegistry = require('./DidCommFeatureRegistry.js');
const require_DidCommMessageHandlerRegistry = require('./DidCommMessageHandlerRegistry.js');
const require_DidCommBasicMessageEvents = require('./modules/basic-messages/DidCommBasicMessageEvents.js');
const require_DidCommBasicMessageRole = require('./modules/basic-messages/DidCommBasicMessageRole.js');
const require_DidCommBasicMessageRecord = require('./modules/basic-messages/repository/DidCommBasicMessageRecord.js');
const require_DidCommBasicMessageRepository = require('./modules/basic-messages/repository/DidCommBasicMessageRepository.js');
const require_DidCommBasicMessageService = require('./modules/basic-messages/services/DidCommBasicMessageService.js');
const require_DidCommBasicMessagesApi = require('./modules/basic-messages/DidCommBasicMessagesApi.js');
const require_DidCommCredentialEvents = require('./modules/credentials/DidCommCredentialEvents.js');
const require_parseInvitation = require('./util/parseInvitation.js');
const require_DidCommOutOfBandApi = require('./modules/oob/DidCommOutOfBandApi.js');
const require_DidCommMessagePickupEvents = require('./modules/message-pickup/DidCommMessagePickupEvents.js');
const require_DidCommMessagePickupModuleConfig = require('./modules/message-pickup/DidCommMessagePickupModuleConfig.js');
const require_DidCommMessagePickupSessionService = require('./modules/message-pickup/services/DidCommMessagePickupSessionService.js');
const require_DidCommMessagePickupApi = require('./modules/message-pickup/DidCommMessagePickupApi.js');
const require_DidCommBatchMessage = require('./modules/message-pickup/protocol/v1/messages/DidCommBatchMessage.js');
const require_DidCommBatchPickupMessage = require('./modules/message-pickup/protocol/v1/messages/DidCommBatchPickupMessage.js');
const require_DidCommMessagePickupV1Protocol = require('./modules/message-pickup/protocol/v1/DidCommMessagePickupV1Protocol.js');
const require_DidCommDeliveryRequestV2Message = require('./modules/message-pickup/protocol/v2/messages/DidCommDeliveryRequestV2Message.js');
const require_DidCommLiveDeliveryChangeV2Message = require('./modules/message-pickup/protocol/v2/messages/DidCommLiveDeliveryChangeV2Message.js');
const require_DidCommMessageDeliveryV2Message = require('./modules/message-pickup/protocol/v2/messages/DidCommMessageDeliveryV2Message.js');
const require_DidCommMessagesReceivedV2Message = require('./modules/message-pickup/protocol/v2/messages/DidCommMessagesReceivedV2Message.js');
const require_DidCommStatusV2Message = require('./modules/message-pickup/protocol/v2/messages/DidCommStatusV2Message.js');
const require_DidCommStatusRequestV2Message = require('./modules/message-pickup/protocol/v2/messages/DidCommStatusRequestV2Message.js');
const require_DidCommMessagePickupV2Protocol = require('./modules/message-pickup/protocol/v2/DidCommMessagePickupV2Protocol.js');
const require_DidCommMessageForwardingStrategy = require('./modules/routing/DidCommMessageForwardingStrategy.js');
const require_DidCommMediatorService = require('./modules/routing/services/DidCommMediatorService.js');
const require_DidCommMediatorApi = require('./modules/routing/DidCommMediatorApi.js');
const require_DidCommDiscoverFeaturesEvents = require('./modules/discover-features/DidCommDiscoverFeaturesEvents.js');
const require_DidCommFeaturesDiscloseMessage = require('./modules/discover-features/protocol/v1/messages/DidCommFeaturesDiscloseMessage.js');
const require_DidCommFeaturesQueryMessage = require('./modules/discover-features/protocol/v1/messages/DidCommFeaturesQueryMessage.js');
const require_DidCommDiscoverFeaturesV1Service = require('./modules/discover-features/protocol/v1/DidCommDiscoverFeaturesV1Service.js');
const require_DidCommFeaturesDisclosuresMessage = require('./modules/discover-features/protocol/v2/messages/DidCommFeaturesDisclosuresMessage.js');
const require_DidCommFeaturesQueriesMessage = require('./modules/discover-features/protocol/v2/messages/DidCommFeaturesQueriesMessage.js');
const require_DidCommDiscoverFeaturesV2Service = require('./modules/discover-features/protocol/v2/DidCommDiscoverFeaturesV2Service.js');
const require_DidCommDiscoverFeaturesApi = require('./modules/discover-features/DidCommDiscoverFeaturesApi.js');
const require_DidCommMediationRecipientApi = require('./modules/routing/DidCommMediationRecipientApi.js');
const require_DidCommMessageRecord = require('./repository/DidCommMessageRecord.js');
const require_DidCommMessageRole = require('./repository/DidCommMessageRole.js');
const require_DidCommMessageRepository = require('./repository/DidCommMessageRepository.js');
require('./repository/index.js');
const require_getDidCommOutboundMessageContext = require('./getDidCommOutboundMessageContext.js');
const require_DidCommRevocationNotification = require('./modules/credentials/models/DidCommRevocationNotification.js');
const require_DidCommCredentialPreviewAttribute = require('./modules/credentials/models/DidCommCredentialPreviewAttribute.js');
const require_DidCommCredentialAutoAcceptType = require('./modules/credentials/models/DidCommCredentialAutoAcceptType.js');
const require_DidCommCredentialFormatSpec = require('./modules/credentials/models/DidCommCredentialFormatSpec.js');
const require_DidCommCredentialState = require('./modules/credentials/models/DidCommCredentialState.js');
const require_DidCommCredentialsModuleConfig = require('./modules/credentials/DidCommCredentialsModuleConfig.js');
const require_DidCommCredentialExchangeRecord = require('./modules/credentials/repository/DidCommCredentialExchangeRecord.js');
const require_DidCommCredentialExchangeRepository = require('./modules/credentials/repository/DidCommCredentialExchangeRepository.js');
const require_DidCommRevocationNotificationV2Message = require('./modules/credentials/protocol/revocation-notification/messages/DidCommRevocationNotificationV2Message.js');
const require_DidCommCredentialsApi = require('./modules/credentials/DidCommCredentialsApi.js');
const require_DidCommRevocationNotificationV1Message = require('./modules/credentials/protocol/revocation-notification/messages/DidCommRevocationNotificationV1Message.js');
const require_DidCommCredentialV2AckMessage = require('./modules/credentials/protocol/v2/messages/DidCommCredentialV2AckMessage.js');
const require_DidCommCredentialV2ProblemReportMessage = require('./modules/credentials/protocol/v2/messages/DidCommCredentialV2ProblemReportMessage.js');
const require_DidCommIssueCredentialV2Message = require('./modules/credentials/protocol/v2/messages/DidCommIssueCredentialV2Message.js');
const require_DidCommCredentialV2Preview = require('./modules/credentials/protocol/v2/messages/DidCommCredentialV2Preview.js');
const require_DidCommOfferCredentialV2Message = require('./modules/credentials/protocol/v2/messages/DidCommOfferCredentialV2Message.js');
const require_DidCommProposeCredentialV2Message = require('./modules/credentials/protocol/v2/messages/DidCommProposeCredentialV2Message.js');
const require_DidCommRequestCredentialV2Message = require('./modules/credentials/protocol/v2/messages/DidCommRequestCredentialV2Message.js');
const require_DidCommJsonLdCredentialDetailOptions = require('./modules/credentials/formats/jsonld/DidCommJsonLdCredentialDetailOptions.js');
const require_DidCommJsonLdCredentialDetail = require('./modules/credentials/formats/jsonld/DidCommJsonLdCredentialDetail.js');
const require_dataIntegrityExchange = require('./modules/credentials/formats/dataIntegrity/dataIntegrityExchange.js');
const require_DidCommProofAutoAcceptType = require('./modules/proofs/models/DidCommProofAutoAcceptType.js');
const require_DidCommProofState = require('./modules/proofs/models/DidCommProofState.js');
const require_DidCommProofFormatSpec = require('./modules/proofs/models/DidCommProofFormatSpec.js');
const require_DidCommPresentationV2AckMessage = require('./modules/proofs/protocol/v2/messages/DidCommPresentationV2AckMessage.js');
const require_DidCommPresentationV2Message = require('./modules/proofs/protocol/v2/messages/DidCommPresentationV2Message.js');
const require_DidCommPresentationV2ProblemReportMessage = require('./modules/proofs/protocol/v2/messages/DidCommPresentationV2ProblemReportMessage.js');
const require_DidCommProposePresentationV2Message = require('./modules/proofs/protocol/v2/messages/DidCommProposePresentationV2Message.js');
const require_DidCommRequestPresentationV2Message = require('./modules/proofs/protocol/v2/messages/DidCommRequestPresentationV2Message.js');
const require_DidCommProofsModuleConfig = require('./modules/proofs/DidCommProofsModuleConfig.js');
const require_DidCommProofExchangeRecord = require('./modules/proofs/repository/DidCommProofExchangeRecord.js');
const require_DidCommProofExchangeRepository = require('./modules/proofs/repository/DidCommProofExchangeRepository.js');
const require_DidCommProofsApi = require('./modules/proofs/DidCommProofsApi.js');
require('./modules/index.js');
const require_DidCommDispatcher = require('./DidCommDispatcher.js');
const require_DidCommMessageReceiver = require('./DidCommMessageReceiver.js');
const require_DidCommApi = require('./DidCommApi.js');
require('./DidCommModule.js');
const require_attachment = require('./util/attachment.js');
const require_DidCommLinkedAttachment = require('./util/DidCommLinkedAttachment.js');
